package mysql-common 5.7.12-0ubuntu1.1 failed to install/upgrade: Unterprozess installiertes post-installation-Skript gab den Fehlerwert 2 zurück

Bug #1596815 reported by Dominik Echterbruch on 2016-06-28
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
mysql-5.7 (Ubuntu)
Undecided
Unassigned

Bug Description

Performed update via aptitude, but it failed.

ProblemType: Package
DistroRelease: Ubuntu 16.04
Package: mysql-common 5.7.12-0ubuntu1.1
ProcVersionSignature: Ubuntu 4.4.0-24.43-generic 4.4.10
Uname: Linux 4.4.0-24-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.1
Architecture: amd64
Date: Tue Jun 28 08:58:27 2016
Dependencies:

ErrorMessage: Unterprozess installiertes post-installation-Skript gab den Fehlerwert 2 zurück
InstallationDate: Installed on 2016-05-20 (38 days ago)
InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
Logs.var.log.daemon.log:

MySQLConf.etc.mysql.conf.d.mysqld_safe_syslog.cnf:
 [mysqld_safe]
 syslog
MySQLConf.etc.mysql.mysql.conf.d.mysqld_safe_syslog.cnf:
 [mysqld_safe]
 syslog
MySQLVarLibDirListing: ['auto.cnf', 'symfony', 'ib_buffer_pool', 'debian-5.7.flag', 'test2', 'performance_schema', 'ibdata1', 'ib_logfile1', 'ibtmp1', 'ib_logfile0', 'mysql_upgrade_info', 'sys', 'mysql']
PackageArchitecture: all
ProcCmdline: BOOT_IMAGE=/boot/vmlinuz-4.4.0-24-generic root=UUID=679c584e-0e26-444d-80bc-82c416707b55 ro quiet splash
RelatedPackageVersions:
 dpkg 1.18.4ubuntu1.1
 apt 1.2.12~ubuntu16.04.1
SourcePackage: mysql-5.7
Title: package mysql-common 5.7.12-0ubuntu1.1 failed to install/upgrade: Unterprozess installiertes post-installation-Skript gab den Fehlerwert 2 zurück
UpgradeStatus: Upgraded to xenial on 2016-05-20 (38 days ago)
modified.conffile..etc.mysql.conf.d.mysql.cnf: [deleted]
modified.conffile..etc.mysql.conf.d.mysqldump.cnf: [deleted]
modified.conffile..etc.mysql.my.cnf.fallback: [deleted]
modified.conffile..etc.mysql.mysql.conf.d.mysqld.cnf: [modified]
mtime.conffile..etc.mysql.mysql.conf.d.mysqld.cnf: 2016-05-23T17:54:43.257156

Seems like
/etc/mysql/my.cnf.fallback
was missing. Set a symlink to
/etc/mysql/mysql.cnf
but now update stands here since a long time:
"Checking if update is needed.
This installation of MySQL is already upgraded to 5.7.12, use --force if you still need to run mysql_upgrade"

Will leave the shell open for some hours to see, if it finishes in finite time...

Even after hours and hours of waiting nothing changed... Any hints?

Removing /var/lib/mysql/mysql_upgrade_info did the trick for me.

Another trick:
killall mysqld
while installation hangs

Jan Murre (jan-murre-gmail) wrote :

This trick (the killall) is really helpful. I suffer from this bug since Ubuntu 16:04. After dist-upgrade to Ubuntu 18:04, this bug still exists. I always check the list of updates to see if MySQL is in the list. Because I know, the update is going to hang, and I need this trick again.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers